#!/usr/bin/python3
from sys import argv, exit, stderr

THRESHOLD_COMPLEXITY = 27
THRESHOLD_LENGTH = 81

if __name__ == '__main__':
    ret = 0
    with open(argv[1], 'r') as handle:
        for line in handle.readlines():
            parts = line.split()
            complexity = int(parts[1])
            length = int(parts[4])
            if complexity >= THRESHOLD_COMPLEXITY:
                ret = 1
                print("{} {}: complexity {} >= {}".format(parts[5], parts[6], complexity, THRESHOLD_COMPLEXITY))

            if length >= THRESHOLD_LENGTH:
                ret = 1
                print("{} {}: length {} >= {}".format(parts[5], parts[6], length, THRESHOLD_LENGTH))

    exit(ret)
