#!/bin/bash
set -x
test -d build && rm -rf build
meson --fatal-meson-warnings -Db_coverage=true build || exit 1
cd build

meson test --suite native
ninja coverage || exit 1
cat meson-logs/coverage.txt
cd ..

if ! test -z "${ARCHIVE}"
then
    cp -r build/meson-logs/coverage* ${ARCHIVE}/
fi
